## org.gnu.gtk
Class ButtonBoxStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ButtonBoxStyle

public class ButtonBoxStyle
extends Enum

Used to dictate the style that a ButtonBox uses to layout the buttons it contains.

     GTK_BUTTONBOX_DEFAULT_STYLE
     Default packing.
     GTK_BUTTONBOX_SPREAD
     Buttons are evenly spread across the ButtonBox.
     GTK_BUTTONBOX_EDGE
     Buttons are placed at the edges of the ButtonBox.
     GTK_BUTTONBOX_START
     Buttons are grouped towards the start of box, (on the left for a HBox, or the top for a VBox).
     GTK_BUTTONBOX_END
     Buttons are grouped towards the end of a box, (on the right for a HBox, or the bottom for a VBox).

Field Summary
`static ButtonBoxStyle` `DEFAULT_STYLE`
`static ButtonBoxStyle` `EDGE`
`static ButtonBoxStyle` `END`
`static ButtonBoxStyle` `SPREAD`
`static ButtonBoxStyle` `START`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ButtonBoxStyle` `and(ButtonBoxStyle other)`
`static ButtonBoxStyle` `intern(int value)`
`ButtonBoxStyle` `or(ButtonBoxStyle other)`
`boolean` `test(ButtonBoxStyle other)`
`ButtonBoxStyle` `xor(ButtonBoxStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STYLE

    public static final ButtonBoxStyle DEFAULT_STYLE

### SPREAD

    public static final ButtonBoxStyle SPREAD

### EDGE

    public static final ButtonBoxStyle EDGE

### START

    public static final ButtonBoxStyle START

### END

    public static final ButtonBoxStyle END

Method Detail

### intern

    public static ButtonBoxStyle intern(int value)

### or

    public ButtonBoxStyle or(ButtonBoxStyle other)

### and

    public ButtonBoxStyle and(ButtonBoxStyle other)

### xor

    public ButtonBoxStyle xor(ButtonBoxStyle other)

### test

    public boolean test(ButtonBoxStyle other)